%define version 0.11
%define release 2mdk
%define name wmstock

Summary:  A stock ticker in a small dock app
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Monitoring
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
URL:		http://mattfischer.com/wmstock/
Requires:	XFree86-libs, xpm, wget
BuildRequires:	XFree86-devel, xpm-devel
Prefix:		/usr/X11R6
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
wmstock  is  a  stock  ticker  dock  app  for Window Maker.  It displays
stock quote data and cycles through tickers.  wmstock is designed to dock
with the Window Maker dock, but it will run as a 64x64 window an any window
manager.  wmstock is also very efficient with colors, and is 8-bit friendly.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -n wmstock

%build
make -C src CFLAGS="$RPM_OPT_FLAGS"

%install
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}
tar xOjf %SOURCE1 %{name}-16x16.xpm > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
tar xOjf %SOURCE1 %{name}-32x32.xpm > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
tar xOjf %SOURCE1 %{name}-48x48.xpm > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

mkdir -p $RPM_BUILD_ROOT%{prefix}/bin/
install -m 755 src/wmstock  $RPM_BUILD_ROOT%{prefix}/bin/
install -m 755 src/getquote $RPM_BUILD_ROOT%{prefix}/bin/

mkdir -p $RPM_BUILD_ROOT%{prefix}/man/man1
bzip2 -9 -c src/wmstock.1x > $RPM_BUILD_ROOT%{prefix}/man/man1/wmstock.1x.bz2

install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{prefix}/bin/%{name} --delay=10 --open=8:30-16:00 \\
                           --time2next=20 MAKE.PA INTC AMD" icon="%{name}.xpm"\\
                 needs="X11" section="Applications/Monitoring" title="WmStock"\\
                 longtitle="A stock quote data display in a small icon"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus


%postun
%clean_menus


%files
%defattr (-,root,root)
%doc CHANGES  COPYING  CREDITS  INSTALL  README  TODO
%{prefix}/bin/*
%{_liconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_menudir}/%{name}
%{prefix}/man/man1/*

%changelog
* Tue Jul 31 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.11-2mdk
- Changed default Quotes to include MandrakeSoft, since our successful IPO
  yesterday :o) 
- compiled with the new libdockapp revision

* Thu Jul 26 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.11-1mdk
- Initial packaging and release.
